public static final class AddGatewayAuthRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
AddGatewayAuthRequest.Builder |
acceptLanguage(String acceptLanguage)
AcceptLanguage.
|
AddGatewayAuthRequest.Builder |
authResourceConfig(String authResourceConfig)
AuthResourceConfig.
|
AddGatewayAuthRequest.Builder |
authResourceList(List<AddGatewayAuthRequest.AuthResourceList> authResourceList)
The information about the resource to be authorized.
|
AddGatewayAuthRequest.Builder |
authResourceMode(Integer authResourceMode)
AuthResourceMode.
|
AddGatewayAuthRequest |
build() |
AddGatewayAuthRequest.Builder |
clientId(String clientId)
The application ID registered with the OIDC authentication service.
|
AddGatewayAuthRequest.Builder |
clientSecret(String clientSecret)
The application secret registered with the OIDC authentication service.
|
AddGatewayAuthRequest.Builder |
cookieDomain(String cookieDomain)
The domain name of the cookie.
|
AddGatewayAuthRequest.Builder |
externalAuthZJSON(AddGatewayAuthRequest.ExternalAuthZJSON externalAuthZJSON)
The information about the custom authentication service.
|
AddGatewayAuthRequest.Builder |
gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
|
AddGatewayAuthRequest.Builder |
issuer(String issuer)
The iss value of JWT claims, which indicates the issuer.
|
AddGatewayAuthRequest.Builder |
isWhite(Boolean isWhite)
Specifies whether to enable the whitelist feature.
|
AddGatewayAuthRequest.Builder |
jwks(String jwks)
The JWT public key.
|
AddGatewayAuthRequest.Builder |
loginUrl(String loginUrl)
The URL that is used to log on to the IDaaS instance.
|
AddGatewayAuthRequest.Builder |
name(String name)
The name.
|
AddGatewayAuthRequest.Builder |
redirectUrl(String redirectUrl)
The redirect URL.
|
AddGatewayAuthRequest.Builder |
scopesList(List<String> scopesList)
The OIDC scope.
|
AddGatewayAuthRequest.Builder |
status(Boolean status)
The status.
|
AddGatewayAuthRequest.Builder |
sub(String sub)
The sub value of JWT claims, which indicates the subject.
|
AddGatewayAuthRequest.Builder |
tokenName(String tokenName)
The name of the parameter that is required to verify a token.
|
AddGatewayAuthRequest.Builder |
tokenNamePrefix(String tokenNamePrefix)
The name prefix of the parameter that is required to verify a token.
|
AddGatewayAuthRequest.Builder |
tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
|
AddGatewayAuthRequest.Builder |
tokenPosition(String tokenPosition)
The position of the parameter that is required to verify a token.
|
AddGatewayAuthRequest.Builder |
type(String type)
The authentication type.
|
public AddGatewayAuthRequest.Builder acceptLanguage(String acceptLanguage)
public AddGatewayAuthRequest.Builder authResourceConfig(String authResourceConfig)
public AddGatewayAuthRequest.Builder authResourceList(List<AddGatewayAuthRequest.AuthResourceList> authResourceList)
The information about the resource to be authorized.
public AddGatewayAuthRequest.Builder authResourceMode(Integer authResourceMode)
public AddGatewayAuthRequest.Builder clientId(String clientId)
The application ID registered with the OIDC authentication service.
example:23460e2fdd9bf9ad106****
public AddGatewayAuthRequest.Builder clientSecret(String clientSecret)
The application secret registered with the OIDC authentication service.
example:123****
public AddGatewayAuthRequest.Builder cookieDomain(String cookieDomain)
The domain name of the cookie. After the authentication is passed, the cookie is sent to the specified domain name to maintain the logon status. For example, if you set Cookie-domain to a.example.com, the cookie is sent to the domain name a.example.com. If you set Cookie-domain to .example.com, the cookie is sent to all subdomains of example.com.
test.com
public AddGatewayAuthRequest.Builder externalAuthZJSON(AddGatewayAuthRequest.ExternalAuthZJSON externalAuthZJSON)
The information about the custom authentication service.
public AddGatewayAuthRequest.Builder gatewayUniqueId(String gatewayUniqueId)
The unique ID of the gateway.
example:gw-492af9b04bb4474cae9d645be850e3d7
public AddGatewayAuthRequest.Builder isWhite(Boolean isWhite)
Specifies whether to enable the whitelist feature.
example:true
public AddGatewayAuthRequest.Builder issuer(String issuer)
The iss value of JWT claims, which indicates the issuer. You must make sure that the value of this parameter is the same as the iss value in the payload of JWT claims.
example:public AddGatewayAuthRequest.Builder jwks(String jwks)
The JWT public key. The JSON format is supported.
example:{"keys":[{"e":"AQAB","kid":"DHFbpoIUqrY8t2zpA2qXfCmr5VO5ZEr4RzHU_-envvQ","kty":"RSA","n":"xAE7eB6qugXyCAG3yhh7pkDkT65pHymX-P7KfIupjf59vsdo91bSP9C8H07pSAGQO1MV_xFj9VswgsCg4R6otmg5PV2He95lZdHtOcU5DXIg_pbhLdKXbi66GlVeK6ABZOUW3WYtnNHD-91gVuoeJT_DwtGGcp4ignkgXfkiEm4sw-4sfb4qdt5oLbyVpmW6x9cfa7vs2WTfURiCrBoUqgBo_-4WTiULmmHSGZHOjzwa8WtrtOQGsAFjIbno85jp6MnGGGZPYZbDAa_b3y5u-YpW7ypZrvD8BgtKVjgtQgZhLAGezMt0ua3DRrWnKqTZ0BJ_EyxOGuHJrLsn00fnMQ"}]}
public AddGatewayAuthRequest.Builder loginUrl(String loginUrl)
The URL that is used to log on to the IDaaS instance.
example:public AddGatewayAuthRequest.Builder name(String name)
The name.
example:jwt
public AddGatewayAuthRequest.Builder redirectUrl(String redirectUrl)
The redirect URL.
example:public AddGatewayAuthRequest.Builder scopesList(List<String> scopesList)
The OIDC scope.
public AddGatewayAuthRequest.Builder status(Boolean status)
The status.
example:true
public AddGatewayAuthRequest.Builder sub(String sub)
The sub value of JWT claims, which indicates the subject. You must make sure that the value of this parameter is the same as the sub value in the payload of JWT claims. If you do not set this parameter or leave it empty, the default value, which is the value of the Issuer parameter, is used.
example:public AddGatewayAuthRequest.Builder tokenName(String tokenName)
The name of the parameter that is required to verify a token. By default, a token is prefixed with Bearer and stored in the authorization header. Example: Authorization: Bearer token.
Authorization
public AddGatewayAuthRequest.Builder tokenNamePrefix(String tokenNamePrefix)
The name prefix of the parameter that is required to verify a token. By default, a token is prefixed with Bearer and stored in the authorization header. Example: Authorization: Bearer token
Bearer
public AddGatewayAuthRequest.Builder tokenPass(Boolean tokenPass)
Specifies whether to enable pass-through.
example:true
public AddGatewayAuthRequest.Builder tokenPosition(String tokenPosition)
The position of the parameter that is required to verify a token. By default, a token is prefixed with Bearer and stored in the authorization header. Example: Authorization: Bearer token.
HEADER
public AddGatewayAuthRequest.Builder type(String type)
The authentication type. JSON Web Token (JWT) authentication, OpenID Connect (OIDC) authentication, Identity as a Service (IDaaS) authentication, or custom authentication are supported.
example:JWT
public AddGatewayAuthRequest build()
Copyright © 2026. All rights reserved.